--- a/src/MainWindow.cpp
+++ b/src/MainWindow.cpp
@@ -587,7 +587,7 @@ MainWindow::showNetworkRequestViewer() /
 void
 MainWindow::showHide() //SLOT
 {
-    const KWindowInfo info( winId(), 0, 0 );
+    const KWindowInfo info( winId(), {}, {} );
     const int currentDesktop = KWindowSystem::currentDesktop();
 
     if( !isVisible() )
--- a/src/browsers/CollectionTreeItemModel.cpp
+++ b/src/browsers/CollectionTreeItemModel.cpp
@@ -59,7 +59,7 @@ Qt::ItemFlags
 CollectionTreeItemModel::flags( const QModelIndex &idx ) const
 {
     if( !idx.isValid() )
-        return 0;
+        return {};
 
     Qt::ItemFlags flags = CollectionTreeItemModelBase::flags( idx );
     if( idx.parent().isValid() )
--- a/src/browsers/CollectionTreeItemModelBase.cpp
+++ b/src/browsers/CollectionTreeItemModelBase.cpp
@@ -137,7 +137,7 @@ CollectionTreeItemModelBase::~Collection
 
 Qt::ItemFlags CollectionTreeItemModelBase::flags(const QModelIndex & index) const
 {
-    Qt::ItemFlags flags = 0;
+    Qt::ItemFlags flags = {};
     if( index.isValid() )
     {
         flags = Qt::ItemIsEnabled | Qt::ItemIsSelectable | Qt::ItemIsDragEnabled | Qt::ItemIsEditable;
--- a/src/browsers/playlistbrowser/QtGroupingProxy.cpp
+++ b/src/browsers/playlistbrowser/QtGroupingProxy.cpp
@@ -598,7 +598,7 @@ QtGroupingProxy::flags( const QModelInde
         if( rootFlags.testFlag( Qt::ItemIsDropEnabled ) )
             return Qt::ItemFlags( Qt::ItemIsDropEnabled );
 
-        return 0;
+        return {};
     }
     //only if the grouped column has the editable flag set allow the
     //actions leading to setData on the source (edit & drop)
--- a/src/playlistgenerator/TreeModel.cpp
+++ b/src/playlistgenerator/TreeModel.cpp
@@ -51,7 +51,7 @@ Qt::ItemFlags
 APG::TreeModel::flags( const QModelIndex &index ) const
 {
     if ( !index.isValid() )
-        return 0;
+        return {};
 
     return Qt::ItemIsEnabled | Qt::ItemIsSelectable;
 }
--- a/src/services/lastfm/LastFmTreeModel.cpp
+++ b/src/services/lastfm/LastFmTreeModel.cpp
@@ -390,7 +390,7 @@ Qt::ItemFlags
 LastFmTreeModel::flags( const QModelIndex &index ) const
 {
     if( !index.isValid() )
-        return 0;
+        return {};
 
     Qt::ItemFlags flags = Qt::ItemIsEnabled | Qt::ItemIsDropEnabled;
     LastFmTreeItem *i = static_cast<LastFmTreeItem*>( index.internalPointer() );
--- a/src/services/magnatune/MagnatuneDownloadDialog.cpp
+++ b/src/services/magnatune/MagnatuneDownloadDialog.cpp
@@ -23,7 +23,7 @@
 #include <KIOWidgets/KUrlRequester>
 
 
-MagnatuneDownloadDialog::MagnatuneDownloadDialog( QWidget *parent, Qt::WindowFlags fl )
+MagnatuneDownloadDialog::MagnatuneDownloadDialog( QWidget *parent, Qt::WindowFlags fl  )
     : QDialog( parent, fl )
 {
     setupUi(this);
--- a/src/services/magnatune/MagnatuneDownloadDialog.h
+++ b/src/services/magnatune/MagnatuneDownloadDialog.h
@@ -38,7 +38,7 @@ public:
      * @param parent Pointer to the parent QWidget.
      * @param fl Additional dialog flags.
      */
-    explicit MagnatuneDownloadDialog( QWidget* parent = nullptr, Qt::WindowFlags fl = 0 );
+    explicit MagnatuneDownloadDialog( QWidget* parent = nullptr, Qt::WindowFlags fl = {} );
 
     /**
      * Destructor
--- a/src/services/magnatune/MagnatuneRedownloadDialog.h
+++ b/src/services/magnatune/MagnatuneRedownloadDialog.h
@@ -28,7 +28,7 @@ class MagnatuneRedownloadDialog : public
     Q_OBJECT
 
 public:
-    explicit MagnatuneRedownloadDialog( QWidget* parent = nullptr, const char* name = 0, bool modal = false, Qt::WindowFlags fl = 0 );
+    explicit MagnatuneRedownloadDialog( QWidget* parent = nullptr, const char* name = 0, bool modal = false, Qt::WindowFlags fl = {} );
     ~MagnatuneRedownloadDialog();
     /*$PUBLIC_FUNCTIONS$*/
 
--- a/src/widgets/FlowLayout.cpp
+++ b/src/widgets/FlowLayout.cpp
@@ -65,7 +65,7 @@
 
  Qt::Orientations FlowLayout::expandingDirections() const
 {
-    return 0;
+    return {};
 }
 
  bool FlowLayout::hasHeightForWidth() const
